Name:           python-zipped-album-player
Version:        0.6.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Zipped Album Player (ZAP) - A simple Python-based cross-platform player for the Zipped Album format

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/zipped-album/zap
Source:         %{pypi_source zipped_album_player}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'zipped-album-player' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-zipped-album-player
Summary:        %{summary}

%description -n python3-zipped-album-player %_description


%prep
%autosetup -p1 -n zipped_album_player-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-zipped-album-player -f %{pyproject_files}


%changelog
%autochangelog